Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.vfs.helpers
Class PathTokenizer

    java.lang.Object
      org.jboss.virtual.plugins.vfs.helpers.PathTokenizer

    public class PathTokenizer

extends java.lang.Object

PathTokenizer.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`static java.lang.String` | `applyReversePaths(java.lang.String path)` Apply any .. paths in the path param.
`static java.lang.String` | `getRemainingPath(java.lang.String[] tokens, int i)` Get the remaining path from some tokens
`protected static java.lang.String` | `getRemainingPath(java.lang.String[] tokens, int i, int end)` Get the remaining path from some tokens
`static java.lang.String[]` | `getTokens(java.lang.String path)` Get the tokens
`static boolean` | `isReverseToken(java.lang.String token)` Is reverse token.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRemainingPath

    protected static java.lang.String getRemainingPath(java.lang.String[] tokens,
                                                       int i,
                                                       int end)

  Get the remaining path from some tokens

  Parameters:
    `tokens` - the tokens
    `i` - the current location
    `end` - the end index
  Returns:
    the remaining path
  Throws:
    `java.lang.IllegalArgumentException` - for null tokens or i is out of range

### getTokens

    public static java.lang.String[] getTokens(java.lang.String path)

  Get the tokens

  Parameters:
    `path` - the path
  Returns:
    the tokens or null if the path is empty
  Throws:
    `java.lang.IllegalArgumentException` - if the path is null, it is empty or it is a relative path

### getRemainingPath

    public static java.lang.String getRemainingPath(java.lang.String[] tokens,
                                                    int i)

  Get the remaining path from some tokens

  Parameters:
    `tokens` - the tokens
    `i` - the current location
  Returns:
    the remaining path
  Throws:
    `java.lang.IllegalArgumentException` - for null tokens or i is out of range

### applyReversePaths

    public static java.lang.String applyReversePaths(java.lang.String path)
                                              throws java.io.IOException

  Apply any .. paths in the path param.

  Parameters:
    `path` - the path
  Returns:
    simple path, containing no .. paths
  Throws:
    `java.io.IOException` - if reverse path goes over the top path

### isReverseToken

    public static boolean isReverseToken(java.lang.String token)

  Is reverse token.

  Parameters:
    `token` - the token to check
  Returns:
    true if token matches reverse path token

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD